- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: b02d7090-70ab-467c-8586-1dd8b9a03e40
    creation_time: 2023-02-17T12:08:02.096007Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: a == y*r+x*p && b == x*q+y*s
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: eba0d9d6-e367-4c36-8553-d17017536079
    creation_time: 2023-02-17T12:08:02.096203Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 42
    column: 0
    function: main
  loop_invariant:
    string: k*b+c == a && a == y*r+x*p && b == x*q+y*s
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 711b145e-39f1-43c7-958d-7588a5f3a1bf
    creation_time: 2023-02-17T12:08:02.096312Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 49
    column: 0
    function: main
  loop_invariant:
    string: k*b+c == a && a == y*r+x*p && b == x*q+y*s && v == b*d
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 89f2db7e-8063-4495-bd8f-d8ba267a76f0
    creation_time: 2023-02-17T12:08:02.096561Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 50
    column: 0
    function: main
  location_invariant:
    string: a == y*r+x*p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ff45acc9-8788-420f-aac4-127f1a515ee3
    creation_time: 2023-02-17T12:08:02.096659Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 51
    column: 0
    function: main
  location_invariant:
    string: b == x*q+y*s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 2f36b287-19d7-4cad-9f34-30668c31a99b
    creation_time: 2023-02-17T12:08:02.096747Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 52
    column: 0
    function: main
  location_invariant:
    string: a == k*b+c
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e727b4c0-a3ee-4b1e-a4a0-6a7c0f35f7c5
    creation_time: 2023-02-17T12:08:02.096829Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 53
    column: 0
    function: main
  location_invariant:
    string: v == b*d
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5244f532-9f2e-40a1-9dff-7e2486398a2b
    creation_time: 2023-02-17T12:08:02.096913Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 74
    column: 0
    function: main
  location_invariant:
    string: p*x-q*x+r*y-s*y == a
    type: assertion
    format: C

